import os
from io import open
import hashlib
from setuptools import setup
from setuptools import find_packages

here = os.path.abspath(os.path.dirname(__file__))

with open(os.path.join(here, "README.md"), "r", encoding="utf-8") as fobj:
    long_description = fobj.read()

requires = [
    "requests",
    "click",
]


setup(
    name="get-pypi-statistics",
    version="0.1.0",
    description="Get statistics of pypi.org. How many projects, how many releases, how many files and how many users?",
    long_description=long_description,
    long_description_content_type="text/markdown",
    author="zencore",
    author_email="dobetter@zencore.cn",
    license="MIT",
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3 :: Only",
    ],
    keywords=["get-pypi-statistics"],
    requires=requires,
    install_requires=requires,
    packages=find_packages("."),
    py_modules=["get_pypi_statistics"],
    entry_points={
        "console_scripts": [
            "get-pypi-statistics = get_pypi_statistics:statistics",
            "get-pypi-stats = get_pypi_statistics:statistics",
        ],
    },
)